libdate-calc-perl (6.4-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 00:43:26 +0100

libdate-calc-perl (6.4-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ Florian Schlichting ]
  * Add debian/upstream/metadata
  * Import upstream version 6.4
  * Email change: Florian Schlichting -> fsfs@debian.org
  * Bump copyright years
  * Tighten (build-)dependency on libbit-vector-perl
  * Drop century-tests.patch, upstream fix released
  * Update spelling.patch
  * Add manpage-encoding.patch to fix error from pod2man
  * Declare compliance with Debian Policy 3.9.6
  * Mark package autopkgtest-able

 -- Florian Schlichting <fsfs@debian.org>  Tue, 07 Jul 2015 23:51:12 +0200

libdate-calc-perl (6.3-2) unstable; urgency=medium

  * add a patch to fix tests that are broken since 1 Jan 2015
    the tests were hardcoding years like 64 that was interpreted as '1964'
    until 31 Dec 2014 and now are interpreted as 2064, causing test failures.
    The patch chooses the year dynamically to get consistent results
    regardless of the current year. (Closes: #775628)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 05 Feb 2015 21:32:10 +0000

libdate-calc-perl (6.3-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Date::Calc now provides a PurePerl implementation (identical to
      Date::Pcalc, which lives on in its separate namespace).
    + The XS part that previously differentiated Date::Calc from Date::Pcalc
      has been moved into Date::Calc::XS, which will automatically be used
      when available.
  * Added myself to Uploaders and Copyright
  * Now requires Bit::Vector 7.1
  * Examples have been removed, remove 'examples'
  * Move .docs to libdate-calc-perl.docs
  * Remove override from rules (examples are gone)
  * Change control description to note that this is no longer
    based on an interface to C (it's PurePerl)
  * This package is now Arch: all because the XS is moved
  * Updated copyright information
  * Added a NEWS entry to explain that the XS is separated

  [ Ansgar Burchardt ]
  * Update patch spelling.patch.
  * Email change: Ansgar Burchardt -> ansgar@debian.org
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Florian Schlichting ]
  * Clarify the relationship between Date::Calc, Date::Calc::XS and
    Date::Pcalc above and in debian/NEWS.
  * Depend on the actual version of Carp::Clan that this module says it
    depends on.
  * Bump S-V and compat (no change).
  * Delete unnecessary d/clean and unused d/patches/SvPV.patch
  * Refresh spelling.patch.
  * Add myself to Uploaders and Copyright.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Mon, 12 Sep 2011 22:25:54 +0000

libdate-calc-perl (6.0-2) unstable; urgency=low

  * Team Upload.
  * Use SvPV to stringify the SV in case it is not already a string.
    (Closes: #558272)
    + new patch: SvPV.patch
    + Add build-dep on perl (>= 5.10.1) | libtest-simple-perl (>= 0.88) and
      libtest-exception-perl for included test.
  * Use source format 3.0 (quilt).
  * debian/copyright: Formatting changes for current DEP-5 proposal;
    refer to /usr/share/common-licenses/GPL-1.
  * Bump Standards-Version to 3.9.1.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 26 Aug 2010 17:18:17 +0900

libdate-calc-perl (6.0-1) unstable; urgency=low

  * New upstream release
  * Add debian/NEWS to refer to the backwards compatibility notes for new
    upstream version. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 08 Oct 2009 22:33:02 +0200

libdate-calc-perl (5.8-1) unstable; urgency=low

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ Salvatore Bonaccorso ]
  * New upstream release
  * debian/control:
    - Add myself to Uploaders.
    - Correct Build-Depends on debhelper. We need (>= 7.0.50~) since
      debian/rules uses override target.
  * debian/copyright: Update upstream's email address. 
  * debian/docs: Drop copy of EXAMPLES.txt since it is already in
    debian/examples. 

  [ gregor herrmann ]
  * debian/watch: remove call to uupdate.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 13 Sep 2009 16:27:05 +0200

libdate-calc-perl (5.7-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Jonathan Yu ]
  * New upstream release
    + Updated copyright years per upstream (1995-2009)
    + Documentation fixes
  * Standards-Version 3.8.2 (no changes)
  * Removed conflict/replaces on libdatecalc-perl (rmadison does not report
    it as available on anything)
  * Move to short debhelper 7 rules format
  * Bump compat and depends to debhelper 7

  [ Damyan Ivanov ]
  * New upstream release
    + bump libbit-vector-perl (build) dependency to 7.0
    + Made the days which form the weekend configurable in "Calendar.pm" and
      "Year.pm" (Closes: #494736)
  * also ship EXAMPLES.txt in the docs
  * drop the version from the libcarp-clan-perl (build) dependency; satisfyable
    by oldstable
  * Standards-Version: 3.8.3 (no changes needed)
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Tue, 25 Aug 2009 11:53:33 +0300

libdate-calc-perl (5.4-6) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * Split out changes in the files under examples to debian/patches/; add
    quilt framework.
  * debian/rules: remove patchlevel.h in clean target (gets created by
    Makefile.PL).
  * debian/watch: use dist-based URL.
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Martín Ferrari ]
  * debian/control: set Maintainer to Perl group, added myself as Uploader,
    bumped S-V. Dependencies: updated debhelper version, removed cdbs and
    quilt, added missing runtime dep on libcarp-clan-perl and build dep on
    libbit-vector-perl (was skiping tests because of this), and set versioned
    deps as specified by upstream. Improved long description by naming the
    actual module.
  * debian/rules: from scratch with debhelper.
  * Deleted debian/patches, debian/README.source and quilt support: replaced
    by a Very Small Sed Script™.
  * Deleted outdated debian/README.Maintainer.
  * debian/copyright: new format.

 -- Martín Ferrari <tincho@debian.org>  Mon, 16 Feb 2009 16:57:31 -0200

libdate-calc-perl (5.4-5) unstable; urgency=medium

  * Added ${shlibs:Depend} to control file to make checklib happy.

 -- Christian Hammers <ch@debian.org>  Tue, 26 Sep 2006 00:32:38 +0200

libdate-calc-perl (5.4-4) unstable; urgency=low

  * Updated watch file. 

 -- Christian Hammers <ch@debian.org>  Fri, 16 Sep 2005 01:20:47 +0200

libdate-calc-perl (5.4-3) unstable; urgency=low

  * Rebuild with Sarge adjusted dependencies.

 -- Christian Hammers <ch@debian.org>  Mon, 20 Dec 2004 19:57:48 +0100

libdate-calc-perl (5.4-2) unstable; urgency=low

  * Adjusted build-dep to libcarp-clan-perl. 

 -- Christian Hammers <ch@debian.org>  Mon, 25 Oct 2004 00:23:16 +0200

libdate-calc-perl (5.4-1) unstable; urgency=low

  * New upstream release

 -- Christian Hammers <ch@debian.org>  Mon, 11 Oct 2004 22:32:06 +0200

libdate-calc-perl (5.3-5) unstable; urgency=low

  * Last upload stalled, no changes to -4. 

 -- Christian Hammers <ch@debian.org>  Mon,  2 Aug 2004 03:11:09 +0200

libdate-calc-perl (5.3-4) unstable; urgency=low

  * Explicit setting locale to C to fix FTBFS bug (thanks to Frederik
    Schueler). Closes: #262407
  * Updated watch file to version 2.

 -- Christian Hammers <ch@debian.org>  Mon,  2 Aug 2004 01:31:54 +0200

libdate-calc-perl (5.3-3) unstable; urgency=low

  * Added cdbs to Build-Deps (thanks Lamont). Closes: #261149 

 -- Christian Hammers <ch@debian.org>  Sat, 24 Jul 2004 04:06:52 +0200

libdate-calc-perl (5.3-2) unstable; urgency=low

  * Switched to CDBS. 
  * Changed section to "perl".

 -- Christian Hammers <ch@debian.org>  Fri, 23 Jul 2004 21:08:09 +0200

libdate-calc-perl (5.3-1) unstable; urgency=low

  * New upstream release
  * Added dependency to libbit-vector-perl and removed duplicate
    Carp.pm (Thanks Meik Hellmund). Closes: #198169

 -- Christian Hammers <ch@debian.org>  Sun, 22 Jun 2003 16:59:07 +0200

libdate-calc-perl (5.0-6) unstable; urgency=low

  * Corrected build depends. 

 -- Christian Hammers <ch@debian.org>  Sun, 25 Aug 2002 18:46:12 +0200

libdate-calc-perl (5.0-5) unstable; urgency=medium

  * Rebuild against perl-5..

 -- Christian Hammers <ch@debian.org>  Sun, 25 Aug 2002 18:13:49 +0200

libdate-calc-perl (5.0-4) unstable; urgency=low

  * Corrected copyright file. Closes: #157566 

 -- Christian Hammers <ch@debian.org>  Fri, 23 Aug 2002 23:50:07 +0200

libdate-calc-perl (5.0-3) unstable; urgency=medium

  * Added replace to libbit-vector-perl because both provide Clan.pm,
    a mini module that's not worth to be a package alone. Closes: #148115

 -- Christian Hammers <ch@debian.org>  Sat, 25 May 2002 22:36:14 +0200

libdate-calc-perl (5.0-2) unstable; urgency=low

  * Fixed rules file. Closes: #136278 

 -- Christian Hammers <ch@debian.org>  Sun,  3 Mar 2002 19:06:01 +0100

libdate-calc-perl (5.0-1) unstable; urgency=low

  * New upstream release
    - OOP extensions
    - some new functions
    - more languages

 -- Christian Hammers <ch@debian.org>  Tue, 25 Sep 2001 23:38:37 +0200

libdate-calc-perl (4.3-4) unstable; urgency=low

  * Adjusted to new perl policy and Debian policy. 

 -- Christian Hammers <ch@debian.org>  Tue, 13 Feb 2001 23:35:29 +0100

libdate-calc-perl (4.3-3) unstable; urgency=low

  * reupload due to corrupted tar archive 

 -- Christian Hammers <ch@debian.org>  Tue, 21 Nov 2000 21:00:53 +0100

libdate-calc-perl (4.3-2) unstable; urgency=low

  * Recompiled against Perl5.6. 

 -- Christian Hammers <ch@debian.org>  Thu, 16 Nov 2000 18:00:55 +0100

libdate-calc-perl (4.3-1) unstable; urgency=low

  * New upstream release

 -- Christian Hammers <ch@debian.org>  Mon, 10 Apr 2000 21:10:48 +0200

libdate-calc-perl (4.2-2) unstable; urgency=low

  * Oups, forgot the replace/conflict line. 

 -- Christian Hammers <ch@debian.org>  Sun, 18 Jul 1999 14:55:47 +0200

libdate-calc-perl (4.2-1) unstable; urgency=low

  * Renamed package to be compliant with the perl-policy

 -- Christian Hammers <ch@debian.org>  Fri, 16 Jul 1999 20:41:31 +0200

libdatecalc-perl (4.2-5) unstable; urgency=low

  * Recompiled for perl-5.005. 

 -- Christian Hammers <ch@debian.org>  Tue,  6 Jul 1999 17:53:44 +0200

libdatecalc-perl (4.2-4) unstable; urgency=low

  * New maintainer release.

 -- Christian Hammers <ch@debian.org>  Mon, 19 Apr 1999 23:22:00 +0200

libdatecalc-perl (4.2-3) unstable; urgency=low

  * Added authors email address in copyright file
  * Removed files that were left over from former releases (closes:
    Bug#27216)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 30 Sep 1998 20:23:58 +0200

libdatecalc-perl (4.2-2) unstable; urgency=low

  * Whoops, I forgot the examples.  Now they're included. (closes:
    Bug#27034)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 24 Sep 1998 12:33:23 +0200

libdatecalc-perl (4.2-1) unstable; urgency=low

  * New upstream release (closes: Bug#27034)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 24 Sep 1998 12:26:41 +0200

libdatecalc-perl (3.2-2) unstable; urgency=low

  * Removed perllocal.pod as it would override a system file and should
    not be there.  (closes: Bug#24453)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 12 Jul 1998 22:09:27 +0200

libdatecalc-perl (3.2-1) unstable; urgency=low

  * First trial

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 7 May 1998 00:35:13 +0200
